IXP_FCALL2MSG(3)

NAME

ixp_fcall2msg, ixp_msg2fcall

SYNOPSIS
  #include <ixp.h>

  uint ixp_fcall2msg(IxpMsg *msg, IxpFcall *fcall);

  uint ixp_msg2fcall(IxpMsg *msg, IxpFcall *fcall);

DESCRIPTION

These functions pack or unpack a 9P protocol message. The message is set to the appropriate mode and its position is set to the begining of its buffer.

RETURN VALUE

These functions return the size of the message on success and 0 on failure.

SEE ALSO

IxpMsg(3), ixp_pfcall(3)